<?php
/**
 * Eco Green: Block Patterns
 *
 * @since Eco Green 1.0
 */

function eco_green_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'eco-green' => array( 'label' => __( 'Eco Green', 'eco-green' ) )
	);
	$block_pattern_categories = apply_filters( 'eco_green_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'eco_green_register_block_patterns', 9 );